package com.kingdee.eas.custom.expandassess;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractExpandAssessInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractExpandAssessInfo()
    {
        this("id");
    }
    protected AbstractExpandAssessInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.expandassess.ExpandAssessEntryCollection());
    }
    /**
     * Object: 拓展人员考核 's 考核人明细表 property 
     */
    public com.kingdee.eas.custom.expandassess.ExpandAssessEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.expandassess.ExpandAssessEntryCollection)get("entrys");
    }
    /**
     * Object:拓展人员考核's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:拓展人员考核's 年度property 
     */
    public int getYear()
    {
        return getInt("year");
    }
    public void setYear(int item)
    {
        setInt("year", item);
    }
    /**
     * Object:拓展人员考核's 季度property 
     */
    public int getQuarter()
    {
        return getInt("quarter");
    }
    public void setQuarter(int item)
    {
        setInt("quarter", item);
    }
    /**
     * Object:拓展人员考核's 周期类型property 
     */
    public com.kingdee.eas.custom.expandassess.app.PeriodTypeEnum getPeriodType()
    {
        return com.kingdee.eas.custom.expandassess.app.PeriodTypeEnum.getEnum(getString("periodType"));
    }
    public void setPeriodType(com.kingdee.eas.custom.expandassess.app.PeriodTypeEnum item)
    {
		if (item != null) {
        setString("periodType", item.getValue());
		}
    }
    /**
     * Object:拓展人员考核's 周期状态property 
     */
    public com.kingdee.eas.custom.expandassess.app.PeriodStatusEnum getPeriodStatus()
    {
        return com.kingdee.eas.custom.expandassess.app.PeriodStatusEnum.getEnum(getString("periodStatus"));
    }
    public void setPeriodStatus(com.kingdee.eas.custom.expandassess.app.PeriodStatusEnum item)
    {
		if (item != null) {
        setString("periodStatus", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("41A2B9E3");
    }
}